.apd-topic {
    min-height: 842px;
}

.apd-topic figure {
    margin: 1.25em 0 .9em
}

.apd-topic figure img {
    max-width: 100%;
    height: auto
}

.apd-topic.PassionPoints {
    padding-bottom: 2em;
    margin: auto 0;
    color: #333
}

.apd-topic.PassionPoints .bordered-section {
    border-top: 1px solid #e4e4e4
}

.apd-topic.PassionPoints .Hero {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5% 0 10%;
    margin-bottom: 0
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints {
        margin-left: 10;
        margin-right: 0
    }

    .apd-topic.PassionPoints .Hero {
        flex-direction: column;
        padding: 1em 2em
    }
}

.apd-topic.PassionPoints .Hero:lang(de),.apd-topic.PassionPoints .Hero:lang(ja),.apd-topic.PassionPoints .Hero:lang(ko),.apd-topic.PassionPoints .Hero:lang(nl),.apd-topic.PassionPoints .Hero:lang(sv) {
    flex-direction: column;
    padding: 1em 2em
}

.apd-topic.PassionPoints .Hero figure {
    margin: 0 1.5em 0 0;
    text-align: center;
    flex-basis: auto
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints .Hero figure {
        margin-right:0;
        width: -webkit-max-content;
        width: max-content
    }

    .apd-topic.PassionPoints .Hero figure img {
        max-width: 50%
    }
}

.apd-topic.PassionPoints .Hero div .Name {
    margin: .25em 0 0;
    text-align: left;
    font-weight: 500;
    font-size: 3.1rem;
    line-height: 1;
    color: #333;
    letter-spacing: -.014em;
    overflow: visible
}

[dir=rtl] .apd-topic.PassionPoints .Hero div .Name {
    text-align: right
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints .Hero div .Name {
        text-align:center;
        font-size: 1.4rem
    }
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints .Hero div .Name {
        text-align:center;
        font-size: 1.4rem
    }

    [dir=rtl] .apd-topic.PassionPoints .Hero div .Name {
        text-align: center
    }

    .apd-topic.PassionPoints .Hero div .Name:lang(nl) {
        font-size: 1.9rem
    }
}

.apd-topic.PassionPoints .Hero div .Name:lang(de),.apd-topic.PassionPoints .Hero div .Name:lang(ja),.apd-topic.PassionPoints .Hero div .Name:lang(ko),.apd-topic.PassionPoints .Hero div .Name:lang(nl),.apd-topic.PassionPoints .Hero div .Name:lang(sv) {
    text-align: center
}

.apd-topic.PassionPoints .Hero div p {
    text-align: left;
    font-weight: 300;
    font-size: 1.4rem;
    line-height: 1.3;
    letter-spacing: .005em;
    color: #666
}

[dir=rtl] .apd-topic.PassionPoints .Hero div p {
    text-align: right
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints .Hero div p {
        font-size:1rem;
        text-align: center;
        padding-left: 2%;
        padding-right: 2%;
        margin: .7em 0
    }

    [dir=rtl] .apd-topic.PassionPoints .Hero div p {
        text-align: center
    }
}

.apd-topic.PassionPoints .Hero div p:lang(de),.apd-topic.PassionPoints .Hero div p:lang(ja),.apd-topic.PassionPoints .Hero div p:lang(ko),.apd-topic.PassionPoints .Hero div p:lang(nl),.apd-topic.PassionPoints .Hero div p:lang(sv) {
    text-align: center
}

.apd-topic.PassionPoints div.Feature {
    border-top: 1px solid #e4e4e4;
    border-bottom: 1px solid #e4e4e4;
    position: relative;
    padding: 1em 0em;
    letter-spacing: .02rem;
    margin: 0;
    cursor: pointer;
    transition: background-color .2s linear,border-color .2s linear
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature {
        padding:.8em 0em;
        letter-spacing: 0
    }

    .apd-topic.PassionPoints div.Feature>figure {
        margin: .2em 0
    }
}

.apd-topic.PassionPoints div.Feature figure img {
    pointer-events: none
}

.apd-topic.PassionPoints div.Feature>.Name {
    font-weight: 400;
    font-size: 1.59rem;
    line-height: 1.08;
    margin: 0 0 .3em
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature>.Name {
        font-size:1.1rem
    }
}

.apd-topic.PassionPoints div.Feature>.Name+p {
    font-weight: 300;
    font-size: 1.125rem;
    color: #999;
    margin-bottom: .5em;
    line-height: 1.3
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature>.Name+p {
        font-size:.9rem
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody {
    overflow: hidden;
    padding: 0 2em 2em
}

.apd-topic.PassionPoints div.Feature .FeatureBody.animating {
    transition: max-height .5s ease-in-out
}

@media screen {
    .apd-topic.PassionPoints div.Feature .FeatureBody {
        display: none
    }
}

@media print {
    .apd-topic.PassionPoints div.Feature .FeatureBody {
        display: block!important
    }
}

@media screen {
    .apd-topic.PassionPoints div.Feature .FeatureBody[aria-hidden=false] {
        display: block
    }

    .apd-topic.PassionPoints div.Feature .FeatureBody[aria-hidden=true] {
        max-height: 0!important
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody p {
    /* font-weight: 200; */
    font-size: .8rem;
    line-height: 1.5
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody p {
        font-size:.9rem
    }

    .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead {
        flex-direction: column!important
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody:last-child {
    padding-bottom: 0
}

.apd-topic.PassionPoints div.Feature .FeatureBody>p:first-child {
    text-align: left;
    padding-bottom: 1em
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody>p:first-child {
    text-align: right
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Name {
    margin-top: 0;
    font-size: 1.125rem;
    font-weight: 400;
    text-align: left;
    line-height: 1.3
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead {
    padding: 3em 0;
    display: flex
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead>div {
    width: 100%
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead>div p:last-child {
    margin-bottom: 0
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead h2,[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead p {
    text-align: right
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead figure {
    max-width: 900px;
    align-self: flex-start
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead figure figcaption {
    font-size: .65rem;
    color: #999
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-left figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(even) figure {
    padding-right: 2em
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-left figure,[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(even) figure {
    padding-left: 2em;
    padding-right: 0
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead figure {
        align-self:center
    }

    .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-left figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(even) figure {
        padding-right: 0;
        padding-left: 0;
        padding-bottom: 1em
    }
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right figure {
    padding-right: 2em!important;
    padding-left: 0!important
}

[dir=ltr] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-left figure {
    padding-left: 0!important
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right,.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(odd) {
    flex-direction: row-reverse
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(odd) figure {
    padding-left: 2em
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right figure,[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(odd) figure {
    padding-left: 0;
    padding-right: 2em
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead:nth-child(odd) figure {
        padding-left:0;
        padding-right: 0;
        padding-bottom: 1em
    }
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-left figure {
    padding-left: 2em!important;
    padding-right: 0!important
}

[dir=ltr] .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right figure {
    padding-right: 0!important
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-left {
    flex-direction: row
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-right {
    flex-direction: row-reverse
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-top,.modal {
    flex-direction: column
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-bottom {
    flex-direction: column-reverse
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-top figure {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 1em
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-bottom figure {
    padding-left: 0;
    padding-right: 0;
    padding-top: 1em
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych {
    padding: 3em 0;
    min-width: 460px
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody .Subhead.figure-bottom {
        flex-direction:column-reverse!important
    }

    .apd-topic.PassionPoints div.Feature .FeatureBody .Triptych {
        min-width: auto
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    margin: 10px -10px
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container {
        flex-direction:column;
        align-items: flex-start
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container .Panel {
    flex: 1 120px;
    padding: 0;
    text-align: left;
    margin: 10px
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container .Panel figure {
    padding-bottom: 1em
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container .Panel {
        display:flex;
        text-align: left;
        flex-direction: row;
        padding-bottom: 2em;
        width: 95%
    }

    .apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container .Panel figure {
        padding-right: .6em;
        min-width: 30%;
        max-width: 30%
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container .Panel p {
    font-size: .8rem;
    padding-bottom: 1em;
    vertical-align: top
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .panel-container .Panel p {
    text-align: right
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych+figure figure,.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych+figure+p figure {
    margin: 0
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Subhead p,.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych p,.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych+figure p,.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych+figure+p p {
    text-align: left;
    padding: 0
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych .Panel p {
    padding: 0 .3em
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Triptych+figure+p {
    width: 60%;
    margin: 0 auto
}

@media all and (max-width: 740px) {
    .apd-topic.PassionPoints div.Feature .FeatureBody .Triptych+figure+p {
        width:90%
    }
}

.apd-topic.PassionPoints div.Feature .FeatureBody>figure.hide-me:last-of-type+p,.apd-topic.PassionPoints div.Feature .FeatureBody>figure:last-of-type {
    padding-top: 2em;
    border-top: 1px solid #e4e4e4;
    margin-top: 0
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Outro {
    padding-top: 1em;
    text-align: left;
    margin-bottom: 2em
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody .Outro {
    text-align: right
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Outro figure {
    margin: 1em 0 1.25em
}

.apd-topic.PassionPoints div.Feature .FeatureBody .Outro.outro-center footer,.apd-topic.PassionPoints div.Feature .FeatureBody .Outro.outro-center p {
    text-align: center
}

.apd-topic.PassionPoints div.Feature .FeatureBody+.toggle-feature-btn {
    width: 24px;
    height: 24px;
    background: url(img/icon-arrow-2.svg) center 97% no-repeat;
    background-size: 24px 24px;
    padding: 3px;
    border: 0
}

.apd-topic.PassionPoints div.Feature .FeatureBody[aria-hidden=false]+.toggle-feature-btn {
    position: absolute;
    background: url(img/icon-close.svg) center 97% no-repeat;
    top: 20px;
    right: 20px
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody[aria-hidden=false]+.toggle-feature-btn {
    right: auto;
    left: 20px
}

.apd-topic.PassionPoints div.Feature .FeatureBody[aria-hidden=false].animating+.toggle-feature-btn {
    position: relative!important;
    width: 24px;
    height: 24px;
    background-size: 24px 24px;
    background: url(img/icon-arrow-2.svg) center 97% no-repeat;
    margin: 0 auto;
    top: initial;
    right: initial
}

[dir=rtl] .apd-topic.PassionPoints div.Feature .FeatureBody[aria-hidden=false].animating+.toggle-feature-btn {
    right: initial;
    left: initial
}

.apd-topic.PassionPoints div.Feature[aria-expanded=true] {
    cursor: default
}

.apd-topic.PassionPoints div.Feature[aria-expanded=true].FeatureSingle {
    background-color: inherit
}

.apd-topic.PassionPoints div.Feature[aria-expanded=true] .Triptych+figure+p figure {
    float: left
}

.apd-topic h1,.apd-topic.Aside h2 {
    position: relative;
    bottom: 0;
    outline: 0;
    overflow: auto;
    text-overflow: ellipsis;
    font-family: -apple-system,-apple-system-font,HelveticaNeue,"Helvetica Neue",Helvetica,sans-serif;
    font-size: 1.59rem;
    line-height: 1.2;
    font-weight: 400;
    color: #4b4b4b;
    margin: 0 0 1em;
    padding-top: 6px;
}

[lang=hi] .apd-topic h1,[lang=hi] .apd-topic.Aside h2,[lang=th] .apd-topic h1,[lang=th] .apd-topic.Aside h2,[lang=vi] .apd-topic h1,[lang=vi] .apd-topic.Aside h2 {
    line-height: 1.5
}

.is-mobile .apd-topic h1,.is-mobile .apd-topic.Aside h2,.modal-content .apd-topic h1,.modal-content .apd-topic.Aside h2 {
    font-size: 1.24rem;
    margin-bottom: .7em
}

.apd-topic figure {
    margin: 1.25em 0 .9em
}

.apd-topic figure img {
    max-width: 100%;
    height: auto
}

.apd-topic video {
    max-width: 100%
}

.apd-topic div.ParaLines,.apd-topic p {
    margin: .3em 0em 1em;
    white-space: pre-line;
    word-wrap: break-word;
    widows: 3;
    orphans: 3
}

.apd-topic div.ParaLines img,.apd-topic p img {
    height: 1.35em!important;
    width: auto!important;
    position: relative;
    top: -.1em;
    vertical-align: text-top;
    pointer-events: none
}

.apd-topic h1 img,.apd-topic h2 img,.apd-topic h3 img,.apd-topic h4 img,.apd-topic h5 img,.apd-topic h6 img {
    height: 1.2em!important;
    width: auto!important;
    vertical-align: -.2em;
    pointer-events: none
}

.apd-topic div.ParaLines p {
    margin: 0
}

.apd-topic strong.BlackIcon,.apd-topic strong.EUIcon,.apd-topic strong.Icon,.apd-topic strong.YellowIcon,.apd-topic strong.force-click,.apd-topic strong.siri,.apd-topic strong.tip,.apd-topic strong[class="3d-touch"] {
    background: url(img/icon-warning.png) left top no-repeat;
    background-size: 1rem .82rem;
    padding: 0 0 0 1.5em
}

[dir=rtl] .apd-topic strong.BlackIcon,[dir=rtl] .apd-topic strong.EUIcon,[dir=rtl] .apd-topic strong.Icon,[dir=rtl] .apd-topic strong.YellowIcon,[dir=rtl] .apd-topic strong.force-click,[dir=rtl] .apd-topic strong.siri,[dir=rtl] .apd-topic strong.tip,[dir=rtl] .apd-topic strong[class="3d-touch"] {
    padding: 0 1.5em 0 0;
    background-position: right top
}

.apd-topic strong.EUIcon {
    background-image: url(img/icon-warning-eu.png)
}

.apd-topic strong.BlackIcon {
    background-image: url(img/icon-warning-black.png)
}

.apd-topic strong.force-click,.apd-topic strong.siri,.apd-topic strong.tip,.apd-topic strong[class="3d-touch"] {
    background-image: url(img/ask-siri.svg);
    background-size: 1.4em 1.4em;
    padding: .15em 0 .15em 1.7em
}

[dir=rtl] .apd-topic strong.force-click,[dir=rtl] .apd-topic strong.siri,[dir=rtl] .apd-topic strong.tip,[dir=rtl] .apd-topic strong[class="3d-touch"] {
    padding: .15em 1.7em .15em 0
}

.apd-topic strong.tip {
    background-image: url(img/tip.svg)
}

.apd-topic strong.force-click,.apd-topic strong[class="3d-touch"] {
    background-image: url(img/force-click.svg)
}

.apd-topic sup {
    top: -.4em
}

.apd-topic span.NoBreak {
    white-space: nowrap
}

.apd-topic .Alert+.Alert,.apd-topic li p.Caution,.apd-topic li p.Important,.apd-topic li p.Note,.apd-topic li p.Notice,.apd-topic li p.Tip {
    margin-top: .75em
}


.apd-topic p.Caution,.apd-topic p.Warning {
    margin-bottom: .75em
}

.apd-topic .yNote {
    font-style: italic;
    font-weight: 700
}

.apd-topic code {
    font-family: Menlo,monospace;
    font-size: .76rem
}

.apd-topic .CodeLine,.apd-topic .CodeLines {
    display: block;
    font-weight: 400;
    white-space: pre-wrap;
    word-break: break-word;
    overflow: hidden;
    text-overflow: ellipsis
}

.client-env a,.feedback button,.nb {
    white-space: nowrap
}

.apd-topic .CodeLines {
    margin-top: .3em;
    margin-bottom: 1em
}

.apd-topic .CodeLines>.CodeLine {
    margin-top: .25em;
    margin-bottom: .25em
}

.apd-topic .Comment {
    color: red
}

.apd-topic .Comment:before {
    content: "COMMENT: ";
    font-weight: 700
}

.apd-topic .HIStrings {
    margin-top: 1.25em;
    margin-bottom: .25em
}

.apd-topic .HIStrings p {
    margin-bottom: .9em
}

.apd-topic .HIStrings>p {
    margin-bottom: 0
}

.apd-topic .HIStrings:first-child {
    padding-top: 0;
    margin-top: .65em
}

.apd-topic .HIStrings+.HIStrings {
    margin-top: .5em
}

.apd-topic .HIStrings em.Term {
    color: #555
}

.apd-topic .HIStrings strong.Term {
    color: #000
}

.apd-topic a,.apd-topic a:visited {
    color: #007aff
}

.apd-topic .HISubString {
    margin-top: .3em;
    margin-bottom: .7em;
    display: list-item;
    margin-left: 1.5em;
    padding-left: .25em
}

[dir=rtl] .apd-topic .HISubString {
    margin-left: 0;
    margin-right: 1.5em;
    padding-left: 0;
    padding-right: .25em
}

.apd-topic .HISubString>.HISubString {
    margin-top: .85em;
    display: block;
    margin-left: 0;
    padding-left: 0
}

[dir=rtl] .apd-topic .HISubString>.HISubString {
    margin-left: 0;
    margin-right: 0;
    padding-left: 0;
    padding-right: 0
}

.apd-topic a {
    position: relative;
    outline: 0;
    text-decoration: none
}

.apd-topic a:hover {
    text-decoration: underline
}

#search .searchresults-item a,.feedback button:hover,.landing li a:hover,.landing ul a:hover,.no-hover .apd-topic a:hover,.toc-toggle a {
    text-decoration: none
}

.apd-topic a.xRef.Aside {
    cursor: pointer;
    border-bottom: 1px dotted #007aff
}

.apd-topic a.xRef.Aside:hover {
    border-bottom-style: solid;
    text-decoration: none
}

.no-hover .apd-topic a.xRef.Aside:hover {
    border-bottom: 1px dotted #007aff
}

.apd-topic a.xRef.Aside * {
    pointer-events: none
}

.apd-topic em:lang(ja),.apd-topic em:lang(ko),.apd-topic em:lang(zh) {
    font-style: normal;
    font-weight: 700
}

.apd-topic .LinkExternal strong,.apd-topic .LinkUniversal strong {
    display: block;
    margin: 2.86em 0 .5em
}

.apd-topic .LinkExternal a,.apd-topic .LinkUniversal a {
    display: table;
    margin: .2em 0 0
}

.apd-topic .link-external {
    background-image: url(img/icon-external-link.png);
    width: 7px;
    height: 7px;
    background-size: 7px 7px;
    display: inline-block;
    margin-left: 3px;
    margin-right: 2px;
    position: relative
}

.apd-topic .itunes-link {
    width: 430px;
    text-align: left
}

.apd-topic table[data-type="1 column"]>tbody,.apd-topic table[data-type=Data]>tbody,.apd-topic table[data-type="Full Width"]>tbody {
    width: 100%
}

[dir=rtl] .apd-topic .itunes-link {
    text-align: right
}

.apd-topic ol,.apd-topic ul {
    margin-top: .3em;
    margin-bottom: 1em
}

.apd-topic ol>li,.apd-topic ul>li {
    margin-top: .3em;
    margin-bottom: .7em
}

.apd-topic ul>li {
    list-style: disc
}

.apd-topic ol.decimal>li,.apd-topic ol>li {
    list-style: decimal
}

.apd-topic .ListDescriptor+.Alert {
    margin-top: -.25em!important
}

.is-chrome .apd-topic ol>li,.is-ff .apd-topic ol>li,.is-ie .apd-topic ol>li {
    padding-left: 3px
}

.is-chrome body[dir=rtl] .apd-topic ol>li,.is-ff body[dir=rtl] .apd-topic ol>li,.is-ie body[dir=rtl] .apd-topic ol>li {
    padding-left: 0;
    padding-right: 3px
}

.apd-topic ol>li:lang(ar) {
    list-style-type: arabic-indic
}

.apd-topic ol>li:lang(he) {
    list-style-type: hebrew
}

.apd-topic ul.ListSingle {
    font-weight: 400
}

.apd-topic ul.ListSingle>li {
    font-weight: 400;
    list-style-type: square;
    list-style-position: outside;
    list-style-image: -webkit-gradient(radial,50% 50%,3,50% 50%,6,from(#aaa),color-stop(.8,#aaa),to(#aaa))
}

.apd-topic ul.ListSingle li>p {
    margin-top: .25em
}

.apd-topic address p,.apd-topic ol.alpha>li,.apd-topic ol.decimal>li {
    margin-top: 0;
    margin-bottom: 0
}

.apd-topic ol.decimal>li:lang(ar) {
    list-style-type: arabic-indic
}

.apd-topic ol.decimal>li:lang(he) {
    list-style-type: hebrew
}

.apd-topic ol.alpha>li {
    list-style: lower-alpha!important
}

.apd-topic dl dd,.apd-topic dl dt {
    display: inline;
    margin: 0
}

.apd-topic dl dt {
    float: left;
    font-weight: 700
}

.apd-topic dl dt:after {
    content: '\00a0\00a0'
}

.apd-topic address {
    font-style: normal
}

.apd-topic address+p {
    margin-top: 1em
}

.apd-topic .Subhead .Name {
    font-size: .82rem;
    margin-top: 1.7em;
    margin-bottom: .3em;
    font-weight: 700;
    color: #4b4b4b
}

.apd-topic .Subhead .Name+p {
    margin-top: 0
}

.apd-topic .Subhead ul+.Alert {
    margin-left: 0
}

[dir=rtl] .apd-topic .Subhead ul+.Alert {
    margin-right: 0
}

.apd-topic .Example {
    margin-left: 4.36em;
    margin-right: 4.36em
}


.apd-topic table,.apd-topic td,.apd-topic th,.apd-topic tr {
    border: none;
    page-break-inside: avoid
}

.apd-topic table tbody tr,.apd-topic table tbody>tr:last-child,.msie.apd-topic table tbody>tr>td {
    border-bottom: 1px solid #e4e4e4
}

.apd-topic table {
    width: 100%;
    font-size: .71rem;
    line-height: 1.065rem;
    table-layout: fixed;
    text-align: left;
    margin-top: 1em;
    margin-bottom: 2em
}

.is-hv .apd-topic table {
    font-size: .95em;
    line-height: 1.52em
}

[dir=rtl] .apd-topic table {
    text-align: right
}

.apd-topic table:first-child>tbody:first-child {
    border-top-color: #fff!important
}

.apd-topic table>tbody {
    border-top: 1px solid #e4e4e4
}

.apd-topic table>thead+tbody {
    border-top: none
}

.apd-topic thead>tr {
    background: #97a6b2
}

.msie.apd-topic table tbody>tr>td {
    border-top: 1px solid #e4e4e4
}

.apd-topic thead+tbody tr.TableDisplayRow:first-child,.apd-topic thead+tbody>tr {
    border-top: none!important
}

.apd-topic p.TableHead {
    font-weight: 700;
    color: #fff
}

.apd-topic td,.apd-topic th {
    vertical-align: top;
    text-align: left
}

[dir=rtl] .apd-topic td,[dir=rtl] .apd-topic th {
    text-align: right
}

.apd-topic td code,.apd-topic th code {
    font-size: .65rem;
    padding-top: .05em
}

.apd-topic table tbody>tr td>p.TableDisplay {
    font-weight: 700;
    vertical-align: top
}

.apd-topic table tbody>tr td>.TableDisplay+p {
    vertical-align: top
}

.apd-topic table[data-type="1 column"] {
    background-color: transparent;
    table-layout: fixed
}

.apd-topic table[data-type="1 column"] thead tr {
    background: 0 0;
    border-top: 3px solid #e4e4e4
}

.apd-topic table[data-type="1 column"] tr.TableDisplayRow,.apd-topic table[data-type=Data],.apd-topic table[data-type="Full Width"] {
    background-color: transparent
}

.apd-topic table[data-type="1 column"] tr {
    border-top: 1px solid #e4e4e4;
    border-bottom: 1px solid #e4e4e4
}

.apd-topic table[data-type="1 column"] .TableDisplay,.apd-topic table[data-type="1 column"] .TableHead,.apd-topic table[data-type="1 column"] .TableSubhead {
    overflow: hidden;
    font-weight: 700;
    color: #000!important;
    text-overflow: ellipsis;
    vertical-align: top
}

.apd-topic table[data-type=Data]>tbody>tr>td,.apd-topic table[data-type="Full Width"]>tbody>tr>td {
    border: 1px solid #e4e4e4
}

.apd-topic table[data-type=Data] tr,.apd-topic table[data-type="Full Width"] tr {
    background: 0 0
}

.apd-topic table[data-type=Data] thead p.TableHead,.apd-topic table[data-type="Full Width"] thead p.TableHead {
    color: #666!important
}

.apd-topic table[data-type=Data] td>p,.apd-topic table[data-type="Full Width"] td>p {
    display: block;
    text-align: left
}

.apd-topic table[data-type=Data] .TableDisplay,.apd-topic table[data-type=Data] .TableSubhead,.apd-topic table[data-type="Full Width"] .TableDisplay,.apd-topic table[data-type="Full Width"] .TableSubhead {
    display: block;
    font-weight: 700;
    color: #555;
    text-align: left
}

.feedback button,.landing {
    text-align: center
}

.apd-topic .Heiti:lang(zh-cn),.apd-topic .Heiti:lang(zh-sg) {
    font-family: "Heiti SC"
}

.apd-topic .Heiti:lang(zh-hk),.apd-topic .Heiti:lang(zh-tw) {
    font-family: "Heiti TC"
}

.apd-topic table:first-child {
    margin-top: 1.25em
}

.apd-topic table th {
    padding: .25em .6em .3em .5em
}

[dir=rtl] .apd-topic table th {
    padding: .25em .5em .3em .6em
}

.apd-topic table td {
    padding: .65em .6em .6em .5em
}

[dir=rtl] .apd-topic table td {
    padding: .65em .5em .6em .6em
}

.apd-topic table td ol,.apd-topic table td p,.apd-topic table td ul {
    margin-top: .4em;
    margin-bottom: .6em
}

.apd-topic table td>figure {
    padding-left: .15em;
    margin-top: 1em!important;
    margin-bottom: .25em!important
}

[dir=rtl] .apd-topic table td>figure {
    padding-left: 0;
    padding-right: .15em
}

.apd-topic table td>.TableDisplay,.apd-topic table td>ol li>p,.apd-topic table td>ul li>p,.apd-topic table td>ul>li {
    margin-top: .25em!important;
    margin-bottom: .25em!important
}

.apd-topic table td ol>li {
    margin-bottom: 0
}

.apd-topic table figure {
    min-width: 16px
}

.apd-topic table td>:first-child,.apd-topic table td>:first-child>:first-child,.apd-topic table td>:first-child>:first-child>:first-child,.apd-topic table th>:first-child,.apd-topic table th>:first-child>:first-child,.apd-topic table th>:first-child>:first-child>:first-child {
    margin-top: 0!important
}

.apd-topic table td>:last-child,.apd-topic table td>:last-child>:last-child,.apd-topic table td>:last-child>:last-child>:last-child,.apd-topic table th>:last-child,.apd-topic table th>:last-child>:last-child,.apd-topic table th>:last-child>:last-child>:last-child {
    margin-bottom: 0!important
}

.apd-topic table[data-type=Data] tr>th,.apd-topic table[data-type="Full Width"] tr>th {
    border: 1px solid #e4e4e4;
    padding: .4em
}

.apd-topic ol {
    margin-left: 1.65em
}

[dir=rtl] .apd-topic ol {
    margin-left: 0;
    margin-right: 1.65em
}

.apd-topic ul {
    margin-left: 1.45em
}

[dir=rtl] .apd-topic ul {
    margin-left: 0;
    margin-right: 1.45em
}

.apd-topic ul>li {
    padding-left: .25em
}

[dir=rtl] .apd-topic ul>li {
    padding-left: 0;
    padding-right: .25em
}

.apd-topic ul .Example {
    margin-left: 3em
}

[dir=rtl] .apd-topic ul .Example {
    margin-left: 0;
    margin-right: 3em
}

.apd-topic ol ol,.apd-topic ul ol {
    margin-left: 1.5em
}

[dir=rtl] .apd-topic ol ol,[dir=rtl] .apd-topic ul ol {
    margin-left: 0;
    margin-right: 1.5em
}

.apd-topic ol ul,.apd-topic ul ul {
    margin-left: 1.3em
}

[dir=rtl] .apd-topic ol ul,[dir=rtl] .apd-topic ul ul {
    margin-left: 0;
    margin-right: 1.3em
}

.apd-topic ul.ListSingle {
    margin-left: 0
}

[dir=rtl] .apd-topic ul.ListSingle {
    margin-left: 0;
    margin-right: 0
}

.apd-topic ul.ListSingle>li {
    padding-left: .5em;
    margin-left: 1.15em
}

[dir=rtl] .apd-topic ul.ListSingle>li {
    padding-left: 0;
    padding-right: .5em;
    margin-left: 0;
    margin-right: 1.15em
}

.apd-topic ul.ListSingle>li>ul {
    margin-left: 1.25em
}

[dir=rtl] .apd-topic ul.ListSingle>li>ul {
    margin-left: 0;
    margin-right: 1.25em
}


.apd-topic .footer,.apd-topic footer {
    font-size: .65rem!important;
    color: #999!important
}

.apd-topic .footer a,.apd-topic footer a {
    color: #666
}

.is-mac-os .apd-topic {
    transform: translateZ(0)
}

.modal .apd-topic {
    font-size: .82rem
}

.is-not-hv .modal .apd-topic {
    padding: 7% 8% calc(8% - 45px)
}

.is-hv .modal .apd-topic,.is-safari5 .modal .apd-topic {
    padding: 7% 8%!important
}

@media all and (max-width: 740px) {
    .modal .apd-topic {
        padding:5% 5% 5px
    }
}

.modal .apd-topic h1,.modal .apd-topic h2 {
    pointer-events: none
}

.apd-topic table,table {
    border-collapse: collapse
}

@media all and (max-width: 581px) {
    .is-modern-hv .landing-page .apd-topic figure img {
        max-width:328px
    }
}

.topic-page .apd-topic {
    margin-bottom: 1.5em
}

/* .topic-page .apd-topic .topicIcon {
    float: left;
    width: 30px;
    height: 30px;
    background-size: 30px 30px;
    padding-right: 10px;
    margin: 0;
    position: relative;
    top: 1px
} */

.topicIcon {
    float: left;
    width: 50px;
    height: 50px;
    /* background-size: 50px 50px; */
    /* padding-right: 10px; */
    /* padding-bottom: 10px; */
    margin-right: 10px;
    position: relative;
    top: 1px
}

.is-hv .topic-page .apd-topic .topicIcon {
    display: inline
}

@media all and (max-width: 740px) {
    .topic-page .apd-topic .topicIcon {
        width:24px;
        height: 24px;
        background-size: 24px 24px;
        padding-right: 8px
    }

    [dir=rtl] .topic-page .apd-topic .topicIcon {
        padding-right: 0;
        padding-left: 8px
    }
}

[dir=rtl] .topic-page .apd-topic .topicIcon {
    float: right;
    padding-right: 0;
    padding-left: 10px
}

@media print {
    .topic-page .apd-topic a[href^=x-help] {
        display: none
    }
}

.is-not-hv .topic-page .apd-topic a[href^=x-help] {
    display: none
}

.apd-topic.PassionPoints .hide-me,[data-state=playing].video-container .thumbnail .thumbnail-button {
    display: none
}



.apd-topic .TaskBody .Alert,.apd-topic div.note {
    margin-top: .75em;
    margin-bottom: .75em;
}

div.Task>.Name[role=button],ul.toc .section {
    cursor: pointer
}



div.Task>.Name {
    position: relative
}

div.Task>.Name:focus {
    outline: 0
}

div.Task>.Name[role=button]:hover {
    color: #007aff
}

.no-hover div.Task>.Name[role=button]:hover {
    color: #484848
}

div.Task>.Name .task-arrow {
    background-image: url(img/arrow.svg);
    position: absolute;
    background-size: 1em 1em;
    width: 1em;
    height: 1em;
    top: .95em;
    left: -1.2em;
    transition: transform .1s linear
}

[dir=rtl] div.Task>.Name .task-arrow {
    left: auto;
    right: -1.2em;
    transform: rotate(180deg)
}

div.Task>.Name:hover .task-arrow {
    background-image: url(img/arrow-blue.svg)
}

.no-hover div.Task>.Name:hover .task-arrow {
    background-image: url(img/arrow.svg)
}

div.Task>.Name[aria-expanded=true] .task-arrow {
    transform: rotate(90deg)
}

.SoloTask.Task h2.Name {
    cursor: text
}

.SoloTask.Task h2.Name .task-arrow {
    display: none
}

.SoloTask.Task h2.Name:hover {
    color: #484848!important
}




.apd-topic
{
    font-size: 0.82em; /* attila */
    background: white;
}

.apd-topic div.Task {
    margin: 2em 0;
    background-color: none;
    border-top: 1px solid #e4e4e4;
    border-bottom: 1px solid #e4e4e4
}

.apd-topic div.Task+.Task {
    margin-top: -2.1em;
    border-top-color: transparent
}

.apd-topic div.Task.no-header .TaskBody {
    margin-top: 1em
}

.apd-topic div.Task:first-child {
    margin-top: 1.4em
}

.apd-topic div.Task>.Name {
    font-size: .82rem;
    font-weight: 700;
    line-height: 1.43;
    margin: 0;
    padding-top: .79em;
    padding-bottom: .79em
}

.apd-topic .TaskBody {
    padding-bottom: 0;
    margin-top: -.214em;
    margin-left: 1em;
    /* margin-right: 1em; */
    margin-bottom: .125em;
    overflow: hidden;
    opacity: 1
}

@media screen {
    .apd-topic .TaskBody {
        display: none
    }
}

@media print {
    .apd-topic .TaskBody {
        display: block!important;
        opacity: 1
    }
}

@media screen {
    .apd-topic .TaskBody[aria-hidden=false] {
        display: block
    }

    .apd-topic .TaskBody[aria-hidden=true] {
        opacity: 0;
        max-height: 0!important
    }
}

.apd-topic .TaskBody>.Alert,.apd-topic .TaskBody>.Alert:first-child,.apd-topic .TaskBody>figure,.apd-topic .TaskBody>p,.apd-topic .TaskBody>p+p,.apd-topic .TaskBody>p:first-child {
    margin-top: .3em
}

.apd-topic .TaskBody {
    margin-left: -1.25em;
    padding-left: 1.25em;
}

[dir=rtl] .apd-topic .TaskBody {
    margin-left: 0;
    margin-right: -1.25em;
    padding-left: 0;
    padding-right: 1.25em
}

.apd-topic .TaskBody p {
    margin-left: 0
}

[dir=rtl] .apd-topic .TaskBody p {
    margin-left: 0;
    margin-right: 0
}

.apd-topic .TaskBody .ListSingle table,.apd-topic .TaskBody ol table {
    margin-left: -.5em
}

.apd-topic .TaskBody table {
    margin-left: 1em;
    width: calc(99%);
    width: -webkit-calc(99%)
}

[dir=rtl] .apd-topic .TaskBody table {
    margin-left: 0;
    margin-right: 1em
}







.topic-page .next,.topic-page .prev {
    position: relative;
    outline: 0;
    text-decoration: none;
    color: #007aff;
    padding: 42px 19px;
    margin-bottom: 1.5em;
    font-size: .87rem
}

.topic-page .next:visited,.topic-page .prev:visited {
    color: #007aff
}

.topic-page .prev,[dir=rtl] .topic-page .next {
    float: left;
    background: url(img/nav-left.svg) left no-repeat;
    background-size: 10px 20px;
}

.topic-page .next,[dir=rtl] .topic-page .prev {
    float: right;
    background: url(img/nav-right.svg) right no-repeat;
    background-size: 10px 20px
}

.topic-page .copyright-text {
    text-align: center;
    padding-bottom: 80px;
    white-space: pre-line;
    color: #b1b1b1;
    font-size: .65rem;
    clear: both
}
